/** @overview nodeunit test case. */
var testResource = require('../../../test_resource'),
    mockRes = testResource.requireMockModule('mock_modules/mock_res'),
    mockContext = testResource.requireMockModule('mock_modules/mock_context'),
    defineResRedirect = require('../../../../serverside/response/define_res_redirect.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};


exports['Define redirect.'] = function (test) {
    var res = mockRes({});
    res.redirect = defineResRedirect(mockContext({
        REDIRECT_STATUS_CODE: 404
    }));
    res.redirect('/page-not-found');
    test.done();
};